EDIT - feature request #9225

Make TaxonName.nomenclaturalSource a new DescriptionElementSource subclass

09/14/2020 10:39 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

copied from #6581 and #9223

This is required for nomenclatural (detail) reference state change handling

Related issues:

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - feature request #9229: TaxonNameEditor: use NomenclaturalSt... Closed
Related to EDIT - feature request #6589: Handle protologue as original source... Closed
Related to EDIT - bug #9318: TaxonNameEditor: nomenclatural reference no long... Closed
Related to EDIT - feature request #9298: Preference for IDinSource, IdNamespa... New
Blocks EDIT - bug #9223: make changes of nomenclatural references detectable ... Resolved

Associated revisions

Revision 1694f9a2 - 09/14/2020 11:03 PM - Andreas Miiller

ref #9225 implement NomenclaturalSource

Revision 9d33a6ec - 09/15/2020 12:30 AM - Andreas Miiller

ref #9225 adapt vaadin test data to NomenclaturalSource

Revision 19deb7da - 09/15/2020 09:33 AM - Andreas Miiller

ref #9225 implement NomenclaturalSource (cleanup and update script)

Revision f5d9192a - 09/15/2020 11:18 AM - Katja Luther

ref #9225: adapt editor to new NomenclaturalCource

Revision d27add60 - 09/16/2020 09:58 AM - Andreas Miiller
ref #9225 update cached model

Revision 893b0a7c - 09/21/2020 04:17 PM - Andreas Miiller

ref #9225 revert direction of TaxonName.nomenclaturalSource -> NomenclaturalSource.sourcedName mapping and some related issues

Revision 286f20a7 - 09/21/2020 04:46 PM - Andreas Miiller
ref #9225 !l PRELIMINARY ignore failing tests

Revision 93cc59a0 - 09/21/2020 04:49 PM - Andreas Miiller

ref #9225 adapt vaadin test data to new NomenclaturalSource mapping direction

Revision 3829682c - 09/21/2020 04:58 PM - Andreas Miiller
ref #9225 !l PRELIMINARY also ValidationTest

Revision 12411f3e - 09/22/2020 12:33 PM - Andreas Miiller

ref #9225 fix ValidationTest / 3rd Level duplicate validation for taxon names
Revision 2d909919 - 09/22/2020 12:35 PM - Andreas Miiller

ref #6581 , ref #9225 cleanup TaxonName from nomenclaturalSource handling

Revision 87913ce3 - 09/22/2020 03:55 PM - Andreas Miiller

ref #9225 fix AdvancedBeanlnitializer test

Revision ac6ef9a3 - 09/23/2020 02:56 PM - Andreas Miiller
ref #9225 adapt Test H2 in taxeditor

Revision 02fcd573 - 09/24/2020 10:28 AM - Andreas Miiller

ref #9225 fix setNomenclaturalSource bidirectional setting

Revision 78009a08 - 09/24/2020 12:33 PM - Andreas Kohlbecker

ref #9225 adapting TaxonGraphHibernateListener processor and test to changed mapping of TaxonName.nomenclaturalSource

History

#1 - 09/14/2020 10:39 PM - Andreas Miiller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#2 - 09/14/2020 11:00 PM - Andreas Miiller
- Description updated

#3 - 09/14/2020 11:00 PM - Andreas Miiller

- Blocks bug #9223: make changes of nomenclatural references detectable again in TaxonGraphBefore TransactionCompleteProcess added

#4 - 09/15/2020 10:01 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 40

This is implemented but there are still tests failing in vaading which seems to be related to this change.

#5 - 09/22/2020 02:43 PM - Andreas Kohlbecker

- Related to feature request #9229: TaxonNameEditor: use NomenclaturalStatusDTO to avoid data loading probems within setters in TaxonName

added

#6 - 10/29/2020 03:52 PM - Andreas Miiller
- Related to feature request #6589: Handle protologue as original source with URI link added

#7 - 10/30/2020 09:23 AM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 40 to 50

| think the vaadin test are now fixed (?). So can we close this ticket?

#8 - 11/24/2020 04:49 PM - Andreas Kohlbecker

- Related to bug #9318: TaxonNameEditor: nomenclatural reference no longer selectable added

#9 - 11/25/2020 12:18 PM - Andreas Miiller

Andreas Muller wrote:

| think the vaadin test are now fixed (?). So can we close this ticket?

??

#10 - 11/25/2020 08:18 PM - Andreas Miiller
- Related to feature request #9298: Preference for IDinSource, IdNamespace and original information in nomenclatural reference details view added

#11 - 11/26/2020 10:21 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- % Done changed from 50 to 100

yes | also think that this ticket can be closed.
There might be still some cases in which LIEs might pop up but these issues will be handled independently from this ticket.

#12 - 11/27/2020 04:03 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18
